# Generated by Django 4.1.6 on 2023-03-20 22:58

import django.contrib.auth.models
from django.db import migrations, models
import django.db.models.deletion
import medux.plugins.timetracker.models


class Migration(migrations.Migration):
    dependencies = [
        ("employees", "0005_alter_workschedule_options_and_more"),
        ("timetracker", "0004_rename_holiday_absence_change_timeentry"),
    ]

    operations = [
        migrations.CreateModel(
            name="Employee",
            fields=[],
            options={
                "proxy": True,
                "indexes": [],
                "constraints": [],
            },
            bases=("employees.employee",),
            managers=[
                ("objects", django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.AlterModelOptions(
            name="absence",
            options={
                "permissions": (("administer_absence", "Can administer absences"),)
            },
        ),
        migrations.AlterField(
            model_name="timeentry",
            name="work_schedule",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="time_entries",
                to="employees.workschedule",
            ),
        ),
        migrations.CreateModel(
            name="YearSummary",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "year",
                    models.PositiveSmallIntegerField(
                        default=medux.plugins.timetracker.models.current_year,
                        verbose_name="Year",
                    ),
                ),
                (
                    "holidays_total",
                    models.PositiveSmallIntegerField(
                        default=0, verbose_name="Total holidays"
                    ),
                ),
                (
                    "holidays_consumed",
                    models.PositiveSmallIntegerField(
                        default=0, verbose_name="Holidays consumed"
                    ),
                ),
                (
                    "employee",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="year_summaries",
                        to="timetracker.employee",
                    ),
                ),
            ],
        ),
        migrations.AlterField(
            model_name="absence",
            name="employee",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="timetracker.employee"
            ),
        ),
        migrations.AlterField(
            model_name="timeentry",
            name="employee",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="timetracker.employee"
            ),
        ),
    ]
